Bug 986351 - bluedevil: reboot with it powered off, and KDE never allows to power it on again
bluedevil: reboot with it powered off, and KDE never allows to power it on again
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bluedevil (Show other bugs)
19
All Linux
medium Severity high
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 09:53 EDT by Marcelo Ricardo Leitner
Modified: 2015-02-17 11:15 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:15:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcelo Ricardo Leitner 2013-07-19 09:53:27 EDT
Description of problem:
Consider a running KDE & bluetooth. I disabled its power, and rebooted. Then it remembered its power state, and set it off automatically on boot. Okay, that's expected. But then bluedevil simply tells me that there are no Bluetooth adapters plugged in, and I can't power it on again.

My fix was to disable the persistent state:

/etc/bluetooth/main.conf
# What value should be assumed for the adapter Powered property when
# SetProperty(Powered, ...) hasn't been called yet. Defaults to true
InitiallyPowered = true

# Remember the previously stored Powered state when initializing adapters
RememberPowered = false

But that's actually a workaround. Bluedevil should be able to spot this and allow me to power it on.

My troubleshooting:

Syslog gave me this message when I reloaded btusb with RememberPowered = true:
Jul 19 10:19:09 localhost kernel: [193769.977480] usbcore: registered new interface driver btusb
Jul 19 10:19:09 localhost systemd[1]: Cannot add dependency job for unit mdmonitor-takeover.service, ignoring: Invalid argument
Jul 19 10:19:09 localhost systemd[1]: Starting Bluetooth.
Jul 19 10:19:09 localhost systemd[1]: Reached target Bluetooth.
Jul 19 10:19:09 localhost bluetoothd[518]: bluetoothd[518]: Adapter interface init failed on path /org/bluez/518/hc
i0
Jul 19 10:19:09 localhost bluetoothd[518]: bluetoothd[518]: mgmtops: unable to register adapter
Jul 19 10:19:09 localhost bluetoothd[518]: Adapter interface init failed on path /org/bluez/518/hci0
Jul 19 10:19:09 localhost bluetoothd[518]: mgmtops: unable to register adapter


And when I restarted bluetooth.service:
Jul 19 10:26:24 localhost bluetoothd[13976]: bluetoothd[13976]: Adapter /org/bluez/13976/hci0 has been enabled
Jul 19 10:26:24 localhost bluetoothd[13976]: bluetoothd[13976]: Unknown command complete for opcode 19
Jul 19 10:26:24 localhost bluetoothd[13976]: bluetoothd[13976]: Endpoint registered: sender=:1.51 path=/MediaEndpoi
nt/HFPAG
Jul 19 10:26:24 localhost bluetoothd[13976]: bluetoothd[13976]: Endpoint registered: sender=:1.51 path=/MediaEndpoint/HFPHS
Jul 19 10:26:24 localhost bluetoothd[13976]: bluetoothd[13976]: Endpoint registered: sender=:1.51 path=/MediaEndpoint/A2DPSource
Jul 19 10:26:24 localhost bluetoothd[13976]: bluetoothd[13976]: Endpoint registered: sender=:1.51 path=/MediaEndpoint/A2DPSink
Jul 19 10:26:24 localhost bluetoothd[13976]: Endpoint registered: sender=:1.51 path=/MediaEndpoint/HFPAG
Jul 19 10:26:24 localhost bluetoothd[13976]: Endpoint registered: sender=:1.51 path=/MediaEndpoint/HFPHS
Jul 19 10:26:24 localhost bluetoothd[13976]: Endpoint registered: sender=:1.51 path=/MediaEndpoint/A2DPSource
Jul 19 10:26:24 localhost bluetoothd[13976]: Endpoint registered: sender=:1.51 path=/MediaEndpoint/A2DPSink
Jul 19 10:26:24 localhost bluetoothd[13976]: hci0: Get Connections (0x0015) failed: Not Powered (0x0f)
Jul 19 10:26:24 localhost bluetoothd[13976]: bluetoothd[13976]: hci0: Get Connections (0x0015) failed: Not Powered (0x0f)

That's when I realized about this persistent state thing, changed to not do it and it came back to life, profit!

Version-Release number of selected component (if applicable):
bluedevil-1.3-3.fc19.x86_64
IBM thinkpad T510

How reproducible:
Always

Steps to Reproduce:
1.Power it off
2.Reboot (maybe relogin is enough, don't know)
3.You can't enable it anymore. Bluedevil won't recognize this bluetooth adapter.
Comment 1 Murzik2142 2013-12-19 01:28:49 EST
A similar problem.
Stopped working after an upgrade that has fixed disk.
Bluez does not see the adapter, but it works.
Trying to be seen and look for other adapters.
But it does not work.

bluetooth.service - Bluetooth service
   Loaded: loaded (/usr/lib/systemd/system/bluetooth.service; enabled)
   Active: active (running) since Чт 2013-12-19 12:24:51 YEKT; 23s ago
 Main PID: 3253 (bluetoothd)
   CGroup: name=systemd:/system/bluetooth.service
           └─3253 /usr/sbin/bluetoothd -n

дек 19 12:24:51 Insprion-15 bluetoothd[3253]: bluetoothd[3253]: Endpoint registered: sender=:1.40 path=/MediaEndpoint/A2DPSource
дек 19 12:24:51 Insprion-15 bluetoothd[3253]: bluetoothd[3253]: Endpoint registered: sender=:1.40 path=/MediaEndpoint/A2DPSink
дек 19 12:24:51 Insprion-15 bluetoothd[3253]: Endpoint registered: sender=:1.40 path=/MediaEndpoint/HFPAG
дек 19 12:24:51 Insprion-15 bluetoothd[3253]: Endpoint registered: sender=:1.40 path=/MediaEndpoint/HFPHS
дек 19 12:24:51 Insprion-15 bluetoothd[3253]: Endpoint registered: sender=:1.40 path=/MediaEndpoint/A2DPSource
дек 19 12:24:51 Insprion-15 bluetoothd[3253]: Endpoint registered: sender=:1.40 path=/MediaEndpoint/A2DPSink
дек 19 12:24:56 Insprion-15 bluetoothd[3253]: bluetoothd[3253]: Discovery session 0x7f6006347950 with :1.115 activated
дек 19 12:24:56 Insprion-15 bluetoothd[3253]: Discovery session 0x7f6006347950 with :1.115 activated
дек 19 12:24:56 Insprion-15 bluetoothd[3253]: hci0: Start Discovery (0x0023) failed: Not Powered (0x0f)
дек 19 12:24:56 Insprion-15 bluetoothd[3253]: bluetoothd[3253]: hci0: Start Discovery (0x0023) failed: Not Powered (0x0f)
Comment 2 Fedora End Of Life 2015-01-09 14:00:19 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:15:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.